import type { NavigationGuardNext, RouteLocationNormalized } from 'vue-router'

export default [
  {
    path: '/material',
    name: 'Material',
    redirect: '/material/filmLibrary',
    component: () => import('@/views/Material/Material.vue'),
    meta: {
      needKeepAlive: false,
    },
    children: [
      {
        path: 'filmLibrary',
        name: 'FilmLibrary',
        component: () => import('@/views/Material/FilmLibrary.vue'),
      },
      {
        path: 'uploadAsset',
        name: 'UploadAsset',
        component: () => import('@/views/Material/UploadAsset.vue'),
        beforeEnter(
          to: RouteLocationNormalized,
          from: RouteLocationNormalized,
          next: NavigationGuardNext,
        ) {
          if (to.name === 'UploadAsset' && from.name !== 'FilmLibrary') {
            next({ name: 'FilmLibrary' }) // 直接重定向到父页面
          } else {
            next()
          }
        },
      },
    ],
  },
]
