// 保存一个包含表格的页面所需要的表格信息
import type {
  BaseFieldInfo,
  BaseFieldItem,
  FilterInfo,
  TableData,
  TableFields,
  TableInfoItem,
} from './table'

//表格基本信息
interface BaseTableInfo {
  [key: string]: TableInfoItem<TableData, BaseFieldItem<BaseFieldInfo>>
}

// 所有字段的数据
interface BaseAllFieldsInfo {
  [key: string]: TableFields[]
}

// 所有过滤条件的数据
interface BaseAllFilterInfo {
  [key: string]: FilterInfo
}

// 所有固定字段的数据
interface BaseAllFixedFiledsInfo {
  [key: string]: Array<string>
}

export type {
  BaseTableInfo,
  BaseAllFieldsInfo,
  BaseAllFilterInfo,
  BaseAllFixedFiledsInfo,
}
