interface UploadAssetForm {
  name: string
  tags: Array<number>
  gid: string
  pid: string
  filePath: string
  md5: string
  isImg9: number // 是否是九宫格图片
  imgPath?: string // 图片路径
  videoPath?: string // 视频路径
  headImgPath?: string // 视频封面图片地址
  videoType?: 1 | 2 // 横版竖版 	1 横版 2竖版
  // 分辨率
  resolution: {
    width: number
    height: number
  }
}

type GameItem = {
  pid: string
  gid: string
  gameName: string
}

type GameData = {
  [category: string]: GameItem[]
}

interface GameSelectItem {
  value: string
  label: string
  children?: GameSelectItem[]
}

interface ResFileInfo {
  code: number
  md5: string
  path: string
}

interface TagItem {
  id: number
  name: string
}

interface TagsRes {
  code: number
  count: number
  data: TagItem[]
}

interface AddTagRes {
  code: number
  data: {
    id: number
  }
}

interface ImageData {
  image_id: string
  image_width: number
  image_height: number
  image_file_size: number
  image_type: string
  image_signature: string
  outer_image_id: string
  preview_url: string
  description: string
}

interface ImgUploadRes {
  code: number
  data: ImageData
}

interface VideoUploadRes {
  code: number
  data: {
    video_id: string
  }
}

interface SelectInfo {
  value: any
  Label: string
}

export type {
  UploadAssetForm,
  GameItem,
  GameData,
  GameSelectItem,
  ResFileInfo,
  TagItem,
  TagsRes,
  AddTagRes,
  ImageData,
  ImgUploadRes,
  VideoUploadRes,
  SelectInfo,
}
